Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas
Class ServerStatus

    java.lang.Object
      org.wso2.wsas.ServerStatus

    public final class ServerStatus

extends java.lang.Object

The status in which this WSAS instance can currently be in

Field Summary
`static java.lang.String` | `STATUS_IN_MAINTENANCE` Server has switched to maintenace mode
`static java.lang.String` | `STATUS_RESTARTING` Server is restarting
`static java.lang.String` | `STATUS_RUNNING` Server is running
`static java.lang.String` | `STATUS_SHUTTING_DOWN` Server is shutting down

Method Summary
`static java.lang.String` | `getCurrentStatus()` Get the current server status
`static void` | `setServerInMaintenance()` Set server to maintenace mode
`static void` | `setServerRestarting()` Set server to restarting-down mode
`static void` | `setServerRunning()` Set server to running mode
`static void` | `setServerShuttingDown()` Set server to shutting-down mode

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STATUS_RUNNING

    public static final java.lang.String STATUS_RUNNING

  Server is running

  See Also:
    Constant Field Values

### STATUS_IN_MAINTENANCE

    public static final java.lang.String STATUS_IN_MAINTENANCE

  Server has switched to maintenace mode

  See Also:
    Constant Field Values

### STATUS_RESTARTING

    public static final java.lang.String STATUS_RESTARTING

  Server is restarting

  See Also:
    Constant Field Values

### STATUS_SHUTTING_DOWN

    public static final java.lang.String STATUS_SHUTTING_DOWN

  Server is shutting down

  See Also:
    Constant Field Values

Method Detail

### getCurrentStatus

    public static java.lang.String getCurrentStatus()
                                             throws org.apache.axis2.AxisFault

  Get the current server status

  Returns:
    The current server status
  Throws:
    `org.apache.axis2.AxisFault` - If an error occurs while getting the ConfigurationContext

### setServerRunning

    public static void setServerRunning()
                                 throws org.apache.axis2.AxisFault

  Set server to running mode

  Throws:
    `org.apache.axis2.AxisFault` - If an error occurs while getting the ConfigurationContext

### setServerShuttingDown

    public static void setServerShuttingDown()
                                      throws org.apache.axis2.AxisFault

  Set server to shutting-down mode

  Throws:
    `org.apache.axis2.AxisFault` - If an error occurs while getting the ConfigurationContext

### setServerRestarting

    public static void setServerRestarting()
                                    throws org.apache.axis2.AxisFault

  Set server to restarting-down mode

  Throws:
    `org.apache.axis2.AxisFault` - If an error occurs while getting the ConfigurationContext

### setServerInMaintenance

    public static void setServerInMaintenance()
                                       throws org.apache.axis2.AxisFault

  Set server to maintenace mode

  Throws:
    `org.apache.axis2.AxisFault` - If an error occurs while getting the ConfigurationContext

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD